Share feedback
Answers are generated based on the documentation.

Get pull data for multiple repos

GET/repos/pulls
Gets pull for the given repos.

Connection and access

API connection and authentication guidance

https://hub.docker.com/api/publisher/analytics/v1

Use one of these alternatives. Requirements within an alternative apply together.

  • HubAuth

Parameters

repos query Required

Repositories to fetch data for (maximum of 50 repositories per request).

Type: array

Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "items": {
    "type": "string"
  },
  "type": "array"
}

timespan query

Timespan type for fetching data

Schema: TimespanType

period query

Relative period of the period to fetch data

Schema: PeriodType

group query

Field to group the data by

Schema: GroupType

Request and responses

Response 200

Success

application/json

Schema: ReposPullData

Schema example

{
  "repos": {
    "org2/neo4j": {
      "pulls": [
        {
          "end": "2022-08-07T00:00:00Z",
          "ipCount": 41490,
          "pullCount": 272407,
          "repo": "neo4j",
          "start": "2022-08-01T00:00:00Z"
        },
        {
          "end": "2022-08-14T00:00:00Z",
          "ipCount": 41490,
          "pullCount": 272407,
          "repo": "neo4j",
          "start": "2022-08-08T00:00:00Z"
        }
      ]
    },
    "org2/neo4j-admin": {
      "pulls": [
        {
          "end": "2022-08-07T00:00:00Z",
          "ipCount": 10,
          "pullCount": 11,
          "repo": "neo4j-admin",
          "start": "2022-08-01T00:00:00Z"
        },
        {
          "end": "2022-08-14T00:00:00Z",
          "ipCount": 10,
          "pullCount": 11,
          "repo": "neo4j-admin",
          "start": "2022-08-08T00:00:00Z"
        }
      ]
    }
  }
}

Referenced schemas

#/components/schemas/GroupType

#/components/schemas/PeriodType

#/components/schemas/ReposPullData

#/components/schemas/TimespanType

Complete operation contract
{
  "description": "Gets pull for the given repos.",
  "operationId": "getManyReposPulls",
  "parameters": [
    {
      "description": "Repositories to fetch data for (maximum of 50 repositories per request).",
      "in": "query",
      "name": "repos",
      "required": true,
      "schema": {
        "items": {
          "type": "string"
        },
        "type": "array"
      }
    },
    {
      "description": "Timespan type for fetching data",
      "in": "query",
      "name": "timespan",
      "required": false,
      "schema": {
        "$ref": "#/components/schemas/TimespanType"
      }
    },
    {
      "description": "Relative period of the period to fetch data",
      "in": "query",
      "name": "period",
      "required": false,
      "schema": {
        "$ref": "#/components/schemas/PeriodType"
      }
    },
    {
      "description": "Field to group the data by",
      "in": "query",
      "name": "group",
      "required": false,
      "schema": {
        "$ref": "#/components/schemas/GroupType"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ReposPullData"
          }
        }
      },
      "description": "Success"
    }
  },
  "summary": "Get pull data for multiple repos",
  "tags": [
    "namespaces"
  ]
}